%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:          jandex
Version:       1.0.0
Release:       %mkrel 0%{?namedreltag}.1
Summary:       Java Annotation Indexer
Group:         Development/Java
License:       LGPLv2+
Url:           http://www.jboss.org/
# git clone git://github.com/jbossas/jandex.git
# cd jandex/ && git archive --format=tar --prefix=jandex-1.0.0.Final/ 1.0.0.Final | xz > ../jandex-1.0.0.Final.tar.xz
Source0:       %{name}-%{namedversion}.tar.xz
BuildRequires: java-devel
BuildRequires: jboss-parent
BuildRequires: jpackage-utils

BuildRequires: ant
BuildRequires: junit4

BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-surefire-provider-junit4

Requires:      ant
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Java Annotation Indexer.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%build
mvn-rpmbuild install javadoc:aggregate
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

install -pm 644 target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%{_javadir}/*

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Fri Aug 12 2011 dmorgan <dmorgan> 1.0.0-0.Final.1.mga2
+ Revision: 132743
- Fix buildrequires
- Clean spec file

  + gil <gil>
    - imported package jandex

